#!/bin/sh
# PROTOVER install script
# version 1.0

more LICENSE.txt
echo -n "Do you agree to the terms (yes/no)? [no]"
read input
if [ -z "$input" ]
then
  input="no"
fi

if [ "$input" = "no" -o "$input" = "No" ]
then
  echo "Did not accept the LICENSE, exiting setup"
  exit
fi
if [ "$input" != "yes" -a "$input" != "Yes" ]
then
  echo "Please answer Yes or No"
  exit
fi

echo 
echo "Enter the absolute path of ProtoVer installation directory [/opt/pv]"
echo -n ":"
read PV_PATH
if [ -z $PV_PATH ]
then
  PV_PATH="/opt/pv"
fi
if [ -d "$PV_PATH" ]
then
  echo "Installing the testsuite to $PV_PATH"

  echo "1. Copying text files..."
  cp -fR README.txt LICENSE.txt CHANGELOG.txt $PV_PATH

  echo "2. Copying documentation..."	
  cp -fR docs templates $PV_PATH

  echo "3. Copying libraries..."
  cp -fR libs $PV_PATH

  echo "4. Copying test modules..."
  cp -fR modules $PV_PATH
  cp -fR *.py $PV_PATH
else
  echo "The directory $PV_PATH does not exist!"
  exit
fi

echo
echo "Congratulations, you successfully installed ProtoVer LDAP testsuite!"
echo "Please contact <info@gleg.net> if any questions appear"
echo

