#!/usr/bin/env python
#utils.py
# CONFIDENTIAL - SOURCE MATERIALS
#
# The code is a part of ProtoVer testsuite - use only under the license agreement
# specified in LICENSE.txt in your ProtoVer distribution
#
# Copyright 2005-2006, GLEG Ltd.

import os
import stat
import sys
import socket
import select

def load_modules():
	modules = []
	groups = []
        oldpath = [p for p in sys.path]
        base_path = os.path.abspath("modules")
        st = os.stat(base_path)
        if not stat.S_ISDIR(st.st_mode):
                print "%s is not a directory!" % base_path
                sys.exit()

        dirs = [d for d in os.listdir(base_path) if d!="." and d!=".."]
        dirs.sort()
        for d in dirs:
                dir = "%s/%s" % (base_path,d)
                st = os.stat(dir)
                if not stat.S_ISDIR(st.st_mode):
                        continue

                files = [f[:-3] for f in os.listdir(dir) if len(f)>3 and f.find(".py")==len(f)-3 and f.find(".pyc")==-1]
                files.sort()

                sys.path.append(dir)

                testcases = [f for f in files if f.find("exploit")==-1]
                for file in testcases:
                        try:
                                mod = __import__("%s"% (file), [], [], [])
                        except Exception,e:
                                print "Error while importing %s" % file
                                print e
                                sys.exit()
                        modules.append(mod)
                        descr = getattr(mod, "DESCRIPTION")
                        groups.append(descr)

                sys.path = [p for p in oldpath]

	return [modules,groups]

class SocketStream:
	def __init__(self, sock, timeout=3.0):
		self.sock = sock
		self.timeout = timeout

	def read(self, size=32000):
		if size < 1:
                        size = 256

                r = select.select([self.sock.fileno()], [], [], self.timeout)
                if len(r[0]) == 0:
			print "Error: IO timeout"
                        return ""

                b = ""
                try:
                	b = self.sock.recv(size)
                except Exception,e:
                        print "Exception: %s" % e
                        return ""
 
                return b

	def write(self, data):
		r = select.select([], [self.sock.fileno()], [], self.timeout)
		if len(r[1]) == 0:
			print "Error: IO timeout"
			return -1
                try:
                	self.sock.send(data)
                        return 0
                except Exception,e:
                	print "Exception: %s" % e        
			return -1

	def close(self):
		try:	
			self.sock.close()
		except:
			pass

class TextLogger:
        def __init__(self):
                pass

        def clear(self):
                pass

        def write(self, text):
                sys.stdout.write(text)


